#pragma once
#include "SystemSetting.h"

class FInitManager
{
	friend class FCsdkCommonTools;
public:
	void Init(const FString& ProductId,const FString& ProductKey,const FString& Url,
		const TFunction<void(const int32 ErrorCode,const FString&)>& CallBack);
	void DeInit();
	void Reset();
private:
	bool bIsInit = false;
	FSystemSetting SystemSetting;
};
